libdar::crit_action Class Referenceabstract
API

the global action for overwriting More...

`#include <crit_action.hpp>`

Inherited by libdar::crit_chain, libdar::crit_constant_action, and libdar::testing.

## Public Member Functions

| crit_action (const crit_action &ref)=default
| crit_action (crit_action &&ref) noexcept=default
crit_action & | operator= (const crit_action &ref)=default
crit_action & | operator= (crit_action &&ref) noexcept=default
virtual | ~crit_action ()=default
| the destructor
virtual void | get_action (const cat_nomme &first, const cat_nomme &second, over_action_data &data, over_action_ea &ea) const =0
| the action to take based on the files to compare More...
virtual crit_action * | clone () const =0
| clone construction method More...

## Detailed Description

the global action for overwriting

this class is a generic interface to handle what action to perform on both EA and Data based on two files to evaluate.

Definition at line 80 of file crit_action.hpp.

## Constructor & Destructor Documentation

## crit_action()

libdar::crit_action::crit_action | ( |  | ) |

inline

Definition at line 83 of file crit_action.hpp.

## Member Function Documentation

## clone()

virtual crit_action * libdar::crit_action::clone | ( |  | ) | const

pure virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class crit_action hierarchy

Implemented in libdar::crit_constant_action, libdar::testing, and libdar::crit_chain.

## get_action()

virtual void libdar::crit_action::get_action | ( | const cat_nomme & | first,
|  | const cat_nomme & | second,
|  | over_action_data & | data,
|  | over_action_ea & | ea
| ) |  | const

pure virtual

the action to take based on the files to compare

Parameters

  [in] | first | is the 'in place' inode
  [in] | second | is the 'to be added' inode
  [out] | data | is the action to perform with file's data
  [out] | ea | is the action to perform with file's EA

Implemented in libdar::crit_constant_action, libdar::testing, and libdar::crit_chain.

Referenced by libdar::testing::get_action().

The documentation for this class was generated from the following file:

- crit_action.hpp